Bug 684277 - Wine icons are low res, looks crappy in gnome-shell
Summary: Wine icons are low res, looks crappy in gnome-shell
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-11 16:52 UTC by Elad Alfassa
Modified: 2011-04-02 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-18 17:11:15 UTC


Attachments (Terms of Use)
Patch to fix this issue (3.32 KB, patch)
2011-03-13 09:09 UTC, Elad Alfassa
no flags Details | Diff
a croped svg (28.17 KB, image/svg+xml)
2011-03-13 17:35 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2011-03-11 16:52:52 UTC
Wine icons are low res, looks crappy in gnome-shell.
Solution for this problem: use svg icons.

Comment 1 Elad Alfassa 2011-03-13 08:49:30 UTC
Upstream provides SVGs, but instead of using them you convert the ICO's to PNGs. 
this should be easy to fix.

Comment 2 Elad Alfassa 2011-03-13 09:09:55 UTC
Created attachment 483963 [details]
Patch to fix this issue

Attached patch.

Comment 3 Elad Alfassa 2011-03-13 13:46:20 UTC
oops, seems that my patch has two problems:
1)I forgot to update the gtk icon cache by calling gtk-update-icon-cache. (see: https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache )

2)Upstream SVGs contains each icon in multiple qualities and bit-depths, in one file. On build, the SVG should be modified to take only the 64 leftmost pixels of the file.
I'm trying to figure out how to do that with ImageMagick, but I haven't found an answer yet.

Comment 4 Andreas Bierfert 2011-03-13 15:52:13 UTC
Indeed. -desktop also needs to Require hicolor-icon-theme. If you have a good way to cut the svg let me know. Otherwise I will have a closer look on Wednesday.

Comment 5 Elad Alfassa 2011-03-13 17:35:42 UTC
Created attachment 484028 [details]
a croped svg

One easy way to cut the svg is using inkscape, but that can't be done automatically on build time. I tried to find a way for doing it with ImageMagick, but it only outputs broken svg files. 

Attached is an example for a svg I cut with inkscape. I can do that for all the other icons, but I think an automatic way of doing it would be better.

Comment 6 Elad Alfassa 2011-03-14 08:14:30 UTC
I think i found the right solution. 

The third line of wine SVGs is 

<svg xmlns="http://www.w3.org/2000/svg" height="64" width="368" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink">

If you change width to 64, without touching the rest of the file, the shell will show only the required part of the file. (the rest of the file would be outside of the svg "canvas", and thus not shown).

This sed command would do the trick:

sed -e '3s/368/64/' file.svg > file.svg

replace file.svg with the svg file you are processing. then install the svg to the right folder, and done. it should work.

Comment 7 Elad Alfassa 2011-03-18 13:52:38 UTC
The latest build (1.3.15-3) works awesome. Well done.

Comment 8 Andreas Bierfert 2011-03-18 16:58:12 UTC
Thanks for the help!

Comment 9 Elad Alfassa 2011-03-18 17:11:15 UTC
Thank you, for your awesome packaging :-)

I'm closing this bug.

Comment 10 Fedora Update System 2011-03-19 16:40:47 UTC
wine-1.3.16-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wine-1.3.16-1.fc14

Comment 11 Fedora Update System 2011-03-19 16:40:55 UTC
wine-1.3.16-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wine-1.3.16-1.fc13

Comment 12 Fedora Update System 2011-03-19 16:41:02 UTC
wine-1.3.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wine-1.3.16-1.fc15

Comment 13 Fedora Update System 2011-03-26 05:07:57 UTC
wine-1.3.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-04-02 22:49:29 UTC
wine-1.3.16-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-04-02 22:52:02 UTC
wine-1.3.16-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.